curl --request POST \
--url https://api.acedata.cloud/wan/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "text2video",
"prompt": "Astronauts shuttle from space to volcano",
"model": "wan2.6-i2v"
}
'import requests
url = "https://api.acedata.cloud/wan/videos"
payload = {
"action": "text2video",
"prompt": "Astronauts shuttle from space to volcano",
"model": "wan2.6-i2v"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'text2video',
prompt: 'Astronauts shuttle from space to volcano',
model: 'wan2.6-i2v'
})
};
fetch('https://api.acedata.cloud/wan/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"state": "completed",
"prompt": "Astronauts shuttle from space to volcano",
"success": true,
"task_id": "5636d6ba-957f-475e-a98a-718a07ee89a6",
"video_id": "b4ef4c5e-9680-41c8-a678-0ce2ce6194de",
"video_url": "https://platform.cdn.acedata.cloud/luma/5636d6ba-957f-475e-a98a-718a07ee89a6.mp4",
"video_width": 1552,
"video_height": 656,
"thumbnail_url": "https://platform.cdn.acedata.cloud/luma/5636d6ba-957f-475e-a98a-718a07ee89a6.jpg",
"thumbnail_width": 1552,
"thumbnail_height": 656
}{
"error": {
"code": "bad_request",
"message": "The json payload is not valid to request the API"
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "forbidden",
"message": "Sorry! Our Al moderators feel your prompt might be against our community standards."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "timeout",
"message": "Timeout to generate the image."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Generate videos based on prompt and image frames
curl --request POST \
--url https://api.acedata.cloud/wan/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "text2video",
"prompt": "Astronauts shuttle from space to volcano",
"model": "wan2.6-i2v"
}
'import requests
url = "https://api.acedata.cloud/wan/videos"
payload = {
"action": "text2video",
"prompt": "Astronauts shuttle from space to volcano",
"model": "wan2.6-i2v"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'text2video',
prompt: 'Astronauts shuttle from space to volcano',
model: 'wan2.6-i2v'
})
};
fetch('https://api.acedata.cloud/wan/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"state": "completed",
"prompt": "Astronauts shuttle from space to volcano",
"success": true,
"task_id": "5636d6ba-957f-475e-a98a-718a07ee89a6",
"video_id": "b4ef4c5e-9680-41c8-a678-0ce2ce6194de",
"video_url": "https://platform.cdn.acedata.cloud/luma/5636d6ba-957f-475e-a98a-718a07ee89a6.mp4",
"video_width": 1552,
"video_height": 656,
"thumbnail_url": "https://platform.cdn.acedata.cloud/luma/5636d6ba-957f-475e-a98a-718a07ee89a6.jpg",
"thumbnail_width": 1552,
"thumbnail_height": 656
}{
"error": {
"code": "bad_request",
"message": "The json payload is not valid to request the API"
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "forbidden",
"message": "Sorry! Our Al moderators feel your prompt might be against our community standards."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "timeout",
"message": "Timeout to generate the image."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}التفويضات
API token from https://platform.acedata.cloud
الترويسات
Wan Videos Param Accept
application/json الجسم
Wan Videos Action
text2video, image2video Wan Videos Prompt
"Astronauts shuttle from space to volcano"
Wan Videos Model
wan2.6-i2v, wan2.6-r2v, wan2.6-i2v-flash, wan2.6-t2v Wan Videos Audio
Wan Videos Prompt Extend
Wan Videos Resolution
480P, 720P, 1080P Wan Videos Shot Type
single, multi Wan Videos Duration
5, 10, 15 Wan Videos Negative Prompt
"Astronauts shuttle from space to volcano"
Wan Videos Size
Wan Videos Audio Url
Wan Videos Reference Video Urls
Wan Videos Callback Url
Wan Videos Async
Wan Videos Image Url
"https://cdn.acedata.cloud/r9vsv9.png"
الاستجابة
Wan Videos Response 200
Wan Videos Response 200 State
Wan Videos Response 200 Prompt
Wan Videos Response 200 Success
Wan Videos Response 200 Task Id
Wan Videos Response 200 Video Id
Wan Videos Response 200 Video Url
Wan Videos Response 200 Video Width
Wan Videos Response 200 Video Height
Wan Videos Response 200 Thumbnail Url
Wan Videos Response 200 Thumbnail Width
Wan Videos Response 200 Thumbnail Height
هل كانت هذه الصفحة مفيدة؟

